Skip to main content
`Ctrl`+`K`

# MatMultAddEqual

Compares matrix-vector product plus vector add of two matrices.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultAddEqual(Mat A, Mat B, PetscInt n, PetscBool *flg)

Collective

## Input Parameters

- A - the first matrix

- B - the second matrix

- n - number of random vectors to be tested

## Output Parameter

- flg - `PETSC_TRUE` if the products are equal; `PETSC_FALSE` otherwise.

## See Also

`Mat`, `MatMultEqual()`, `MatMultTransposeEqual()`, `MatMultTransposeAddEqual()`

## Level

intermediate

## Location

src/mat/utils/multequal.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages